Skip to main content
DELETE
/
v2
/
markets
/
{marketId}
Delete a market
curl --request DELETE \
  --url https://rest.forestreet.com/v2/markets/{marketId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://rest.forestreet.com/v2/markets/{marketId}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://rest.forestreet.com/v2/markets/{marketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>"
}
{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}
{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this market"
}
{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Not Found - Market not found"
}
{
"success": false,
"errorCode": "REVIEW_PENDING",
"message": "Conflict - A manual review is pending for this market"
}
{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}

Authorizations

x-api-key
string
header
required

Pass a static API key for every request, provided by your customer support.

Path Parameters

marketId
integer
required

ID of the market to delete.

Required range: x > 0

Response

Delete a market in collection response

success
boolean
required

Indicates whether the deletion was successful.

message
string
required

Optional message providing additional information about the deletion.